'use strict';

const Spinner = require('cli-spinner').Spinner;

const isObject = (o) => {
  return Object.prototype.toString.call(o) === '[object Object]';
};

const spinnerStart = (msg = 'loading...', spinnerString = '|/-\\') => {
  const spinner = new Spinner(`${msg} %s`);

  spinner.setSpinnerString(spinnerString); // 演示转圈的字符集
  spinner.start();

  return spinner;
};

const sleep = (timeout = 1000) => {
  return new Promise(resolve => setTimeout(resolve, timeout))
};


module.exports = {
  isObject,
  spinnerStart,
  sleep
};
